Bug 813990 - SwapError: swapon failed for '/dev/sda5'
SwapError: swapon failed for '/dev/sda5'
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-18 19:53 EDT by lysbleu
Modified: 2012-10-23 04:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-23 04:08:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lysbleu 2012-04-18 19:53:20 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-7V1pc0
hashmarkername: anaconda
kernel:         3.3.0-1.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           jeu. 19 avril 2012 01:50:40 UTC
version:        17-Beta

:The following was filed automatically by anaconda:
:anaconda 17.20 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/swap.py", line 93, in swapon
:    raise SwapError("swapon failed for '%s'" % device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/swap.py", line 133, in setup
:    swap.swapon(self.device, priority=self.priority)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2166, in turnOnSwap
:    device.format.setup()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1411, in turnOnSwap
:    upgrading=upgrading)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/upgrade.py", line 247, in upgradeMountFilesystems
:    anaconda.storage.turnOnSwap(upgrading=True)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:SwapError: swapon failed for '/dev/sda5'

Comment 1 Jesse Keating 2012-07-18 14:34:43 EDT
Were you ever able to reproduce this?  Without full log files we can't possibly know what's going on here.

Note You need to log in before you can comment on or make changes to this bug.